/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.communication.messages;

/**
 *  this message is added to the send queue in the client part of the
 *  communication, when the client calls doAction, and the provided Action type
 *  is Action.PIECE
 *
 * @author     Niklas Hallenfur
 * @created    June 27, 2001
 */

public class ActionOnUnitMessage extends ActionMessage {

    /**
     *  Description of the Field
     */
    private int targetpiece;


    /**
     *  Constructor for the ActionOnUnitMessage object
     *
     * @param  id            Description of Parameter
     * @param  exe_piece     Description of Parameter
     * @param  actionhandle  Description of Parameter
     * @param  targetpiece   Description of Parameter
     */
    public ActionOnUnitMessage(long id, int exe_piece, String actionhandle, int targetpiece) {
        super(id, exe_piece, actionhandle);
        this.targetpiece = targetpiece;
    }


    /**
     *  Gets the TargetPieceHandle attribute of the ActionOnUnitMessage object
     *
     * @return    The TargetPieceHandle value
     */
    public int getTargetPieceHandle() {
        return targetpiece;
    }
}

