/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.communication.messages;

/**
 *  A class containing constants that will be sent before a message is sent, to
 *  tell what type of message is coming.
 *
 * @author     Niklas Hallenfur
 * @created    June 27, 2001
 */

public class MessageType {
    /**
     *  Description of the Field
     */
    public final static int ActionOnVoid = 0;
    /**
     *  Description of the Field
     */
    public final static int ActionOnUnit = 1;
    /**
     *  Description of the Field
     */
    public final static int ActionOnPosition = 2;
    /**
     *  Description of the Field
     */
    public final static int getMapSize = 3;
    /**
     *  Description of the Field
     */
    public final static int getMap = 4;
    /**
     *  Description of the Field
     */
    public final static int abortGame = 5;
    /**
     *  Description of the Field
     */
    public final static int abortAction = 6;
    /**
     *  Description of the Field
     */
    public final static int getMapUpperLeft = 7;
    /**
     *  Description of the Field
     */
    public final static int startGame = 8;
    /**
     *  Description of the Field
     */
    public final static int UnitPositionUpdate = 9;
    /**
     *  Description of the Field
     */
    public final static int Ping = 10;
    /**
     *  Description of the Field
     */
    public final static int UnitPropertyUpdate = 11;

    /**
     *  Description of the Field
     */
    public final static int getAvailableRoles = 12;
    /**
     *  Description of the Field
     */
    public final static int joinAsRole = 13;
    /**
     *  Description of the Field
     */
    public final static int disconnect = 14;
    /**
     *  Description of the Field
     */
    public final static int UnitVisible = 15;
    /**
     *  Description of the Field
     */
    public final static int UnitDeleted = 16;
    /**
     *  Description of the Field
     */
    public final static int ActionBlocked = 17;
    /**
     *  Description of the Field
     */
    public final static int MapUpdate = 18;
    /**
     *  Description of the Field
     */
    public final static int MapPointInvisible = 19;
    /**
     *  Description of the Field
     */
    public final static int ActionCompleted = 20;
    /**
     *  Description of the Field
     */
    public final static int ActionFailed = 21;
    /**
     *  Description of the Field
     */
    public final static int MapUpdates = 22;
    /**
     *  Description of the Field
     */
    public final static int MapPointsInvisible = 23;
    /**
     *  Description of the Field
     */
    public final static int PingReply = 24;
    /**
     *  Description of the Field
     */
    public final static int UnitDestroyed = 25;
    /**
     *  Description of the Field
     */
    public final static int UnitMessage = 26;
}
