/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.communication.server;

/**
 *  This class defines a role, as viewed by the gecco.communication.server
 *  package.
 *
 * @author     Niklas Hallenfur
 * @created    June 27, 2001
 */

public class RoleDefinition {
    /**
     *  Description of the Field
     */
    private String rolename;
    /**
     *  Description of the Field
     */
    private boolean unique;


    /**
     *  Constructor for the RoleDefinition object
     *
     * @param  r  Description of Parameter
     * @param  u  Description of Parameter
     */
    public RoleDefinition(String r, boolean u) {
        rolename = r;
        unique = u;
    }


    /**
     *  returns true if this role only can be assumed by one client at a time.
     *  returns false if any number of clients can assume this role
     *
     * @return    The Unique value
     */

    public boolean isUnique() {
        return unique;
    }


    /**
     *  Description of the Method
     *
     * @return    Description of the Returned Value
     */
    public String role() {
        return rolename;
    }
}
