/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.game.testgame;

import gecco.server.core.*;

/**
 *  Description of the Class
 *
 */
public class TestUnitEventHandler extends EventHandler {

    /**
     *  Constructor for the TestUnitEventHandler object
     */
    public TestUnitEventHandler() {
    }


    /**
     *  Description of the Method
     *
     * @param  event  Description of Parameter
     * @param  unit   Description of Parameter
     */
    public void handleEvent(UnitEvent event, Unit unit) {
        if (event.getName().equals("FIRE") && !unit.getUnitType().getName().endsWith("Helicopter")) {
            // Unit takes damage!
            double health = ((Double) unit.getProperty("Health")).doubleValue();
            health -= 5.0;
            if (health > 0) {
                unit.setProperty("Health", health);
            } else {
                // Unit is destroyed
                unit.markAsDestroyed();
            }
        } else if (event.getName().equals("ATTACK")) {
            double health = ((Double) unit.getProperty("Health")).doubleValue();
            health -= event.getFactor();
            if (health > 0) {
                unit.setProperty("Health", health - event.getFactor());
            } else {
                // Unit is destroyed
                unit.markAsDestroyed();
            }

        }
    }
}
