/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.server.core;

/**
 *  Description of the Class
 *
 * @author     Unknown
 * @created    June 27, 2001
 */
public class UnitPositionUpdateMessage extends Message {
    /**
     *  Description of the Field
     */
    double x, y;
    /**
     *  Description of the Field
     */
    int unitHandle;


    /**
     *  Constructor for the UnitPositionUpdateMessage object
     *
     * @param  _unitHandle  Description of Parameter
     * @param  x            Description of Parameter
     * @param  y            Description of Parameter
     */
    public UnitPositionUpdateMessage(int _unitHandle, double x, double y) {
        unitHandle = _unitHandle;
        this.x = x;
        this.y = y;
    }


    /**
     *  Gets the X attribute of the UnitPositionUpdateMessage object
     *
     * @return    The X value
     */
    public double getX() {
        return x;
    }


    /**
     *  Gets the Y attribute of the UnitPositionUpdateMessage object
     *
     * @return    The Y value
     */
    public double getY() {
        return y;
    }


    /**
     *  Gets the UnitHandle attribute of the UnitPositionUpdateMessage object
     *
     * @return    The UnitHandle value
     */
    public int getUnitHandle() {
        return unitHandle;
    }
}
